"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useFormParams = exports.useFormSearch = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _vue = require("vue");

var _lodash = _interopRequireDefault(require("lodash"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

const useFormSearch = ({
  formParams,
  col = 3,
  formState,
  formConfig,
  formItemConfig
}) => {
  const formRef = (0, _vue.ref)();
  const state = (0, _vue.reactive)({
    formParams: [],
    formState: formState,
    formConfig,
    formItemConfig,
    col
  });
  const v = {
    filed: 'button',
    isSlotFlag: 1,
    id: 'btn'
  };

  const expandFn = () => {
    state.formParams = _lodash.default.chunk([...formParams, v], col);
  };

  const noExpandFn = () => {
    state.formParams = _lodash.default.chunk([...formParams.slice(0, 2), v], col);
  };

  (0, _vue.provide)('formParams', _objectSpread(_objectSpread({}, (0, _vue.toRefs)(state)), {}, {
    noExpandFn,
    expandFn,
    formRef
  }));
};

exports.useFormSearch = useFormSearch;

const useFormParams = () => {
  return (0, _vue.inject)('formParams');
};

exports.useFormParams = useFormParams;